package xiaoice

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xiaoice"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/xiaoice/chat xiaoice GptbotsChat
//
// gen gptbots | message 接口的升级版，支持 avatar_id 参数
//
// gen gptbots | message 接口的升级版，支持 avatar_id 参数
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ChatReq
//
// Responses:
//  200: BaseDataInfo

func GptbotsChatHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ChatReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xiaoice.NewGptbotsChatLogic(r.Context(), svcCtx)
		resp, err := l.GptbotsChat(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
